package com.aimluck.eip.cayenne.om.portlet;

import org.apache.cayenne.ObjectId;

import com.aimluck.eip.cayenne.om.portlet.auto._ImwMHanyo;

public class ImwMHanyo extends _ImwMHanyo {

  public static final String HANYOKUBUNNM_COLUMN = "HANYOKUBUNNM";

  public static final String CREATE_DATE_COLUMN = "CREATE_DATE";

  public static final String CREATE_USER_ID_COLUMN = "CREATE_USER_ID";

  public static final String DISABLED_COLUMN = "DISABLED";

  public static final String NOT_DELETE_COLUMN = "NOT_DELETE";

  public static final String PARENT_HANYO_ID_COLUMN = "PARENT_HANYO_ID";

  public static final String UPDATE_DATE_COLUMN = "UPDATE_DATE";

  public static final String UPDATE_USER_ID_COLUMN = "UPDATE_USER_ID";

  public static final String VALUE_COLUMN = "VALUE";

  public Integer getHanyoId() {
    if (getObjectId() != null && !getObjectId().isTemporary()) {
      Object obj = getObjectId().getIdSnapshot().get(HANYO_ID_PK_COLUMN);
      if (obj instanceof Long) {
        Long value = (Long) obj;
        return Integer.valueOf(value.intValue());
      } else {
        return (Integer) obj;
      }
    } else {
      return null;
    }
  }

  public void setHanyoId(int id) {
    setObjectId(new ObjectId("ImwMHanyo", HANYO_ID_PK_COLUMN, id));
  }

  public void setHanyoId(String id) {
    setObjectId(new ObjectId("ImwMHanyo", HANYO_ID_PK_COLUMN, Integer.valueOf(id)));
  }
}



